Event Detail API
The Event Detail API provides in-depth information on fraud assessment data and the associated score. This API can be accessed using either the transactionId, giving partners the flexibility to retrieve detailed assessment information through asynchronous API calls.
Get Event Detail by transactionId
GET /v2/services/fraud/{transactionId}/eventDetail
Path Parameters
transactionId
String
Transaction ID that is produced on transaction request.
Headers
Authorization*
String
OAuth access token. Get the token by calling the Get Access Token API
Content-Type
application/json
Format type of request body
Success Response
Get Status by partnerTrxId
GET /v2/services/fraud/partner/{partnerTrxId}/status
Path Parameters
partnerTrxId
String
Unique identifier provided by the partner for the transaction.
Headers
Authorization*
String
OAuth access token. Get the token by calling the Get Access Token API
Content-Type
application/json
Format type of request body
Response Format
Sample Response
Full Fraud Assessment
Biometric Fraud Assessment
Data Fraud Assessment
Status Table
The status field provides detailed information about the current state of the fraud transaction. It may contain the following values:
001
The fraud assessment is in progress
002
The fraud assessment transaction is submitted for manual review
003
The fraud assessment result is accepted and the certificate issued after manual review
004
The fraud assessment result is rejected and the certificate have been not issued after manual review
006
The certificate not issued
007
Certificate is issued
Last updated
